POST /api/skills/import/zip
curl --request POST \
--url https://app.worksong.ai/api/skills/import/zip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"keys": [
"<string>"
]
}
'import requests
url = "https://app.worksong.ai/api/skills/import/zip"
payload = {
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"keys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sha256: '<string>',
keys: ['<string>']
})
};
fetch('https://app.worksong.ai/api/skills/import/zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/import/zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sha256' => '<string>',
'keys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/import/zip"
payload := strings.NewReader("{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/import/zip")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/import/zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"sha": "<string>",
"added": [
{
"key": "<string>",
"skill": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"source": "manual",
"sourceRef": "<string>",
"sourceSha": "<string>",
"sizeBytes": 4503599627370495,
"fileCount": 4503599627370495,
"scriptCount": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"leftOutFiles": 4503599627370495
}
],
"skipped": [
{
"key": "<string>",
"name": "<string>",
"reason": "name_taken",
"message": "<string>"
}
]
}Skills
POST /api/skills/import/zip
Store the skills the owner picked from the zip file, read again from the same stored file; it must still be the one the preview showed (its sha256).
POST
/
api
/
skills
/
import
/
zip
POST /api/skills/import/zip
curl --request POST \
--url https://app.worksong.ai/api/skills/import/zip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"keys": [
"<string>"
]
}
'import requests
url = "https://app.worksong.ai/api/skills/import/zip"
payload = {
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"keys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sha256: '<string>',
keys: ['<string>']
})
};
fetch('https://app.worksong.ai/api/skills/import/zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/import/zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sha256' => '<string>',
'keys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/import/zip"
payload := strings.NewReader("{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/import/zip")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/import/zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sha256\": \"<string>\",\n \"keys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"sha": "<string>",
"added": [
{
"key": "<string>",
"skill": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"source": "manual",
"sourceRef": "<string>",
"sourceSha": "<string>",
"sizeBytes": 4503599627370495,
"fileCount": 4503599627370495,
"scriptCount": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"leftOutFiles": 4503599627370495
}
],
"skipped": [
{
"key": "<string>",
"name": "<string>",
"reason": "name_taken",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json